{% extends 'index.html' %}
{% load static %}
{% block meta %}
<style>
	.cover {
	  object-fit: cover;
	}

	.popup {
		background: rgba(0, 0, 0, 0.6);
		width: 100%;
		height: 200%;
		position: absolute;
		top: 0;
		display: none;
		justify-content: center;
		align-items: center;
	}

	.popup-content {
		height: 250px;
		width: 500px;
		background: #fff;
		padding: 40px;
		border-radius: 5px;
		position: relative;
		text-align:  center;
		align-items: center;
	}

</style>

<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

{% endblock %}

{% block content %}
<div class="blog-box">
	<div class="container">
		<div class="row">
			<div class="col-lg-12">
				<div class="heading-title text-center">
					<a href="{% url 'search:idx' %}">
						<h2>Our Recipes!</h2>
					</a>
					<br>
					<form method="POST">
						{% csrf_token %}
						<input type="text" name="string" class="form-control" placeholder="Search Recipes..." size="70" id="input" maxlength="255" required>				
					</form>
				</div>
				{% if most_searched_keyword %}
				<div class="heading-title text-center" id="the-keyword">
					<p style="font-size: 14">Most Searched Recipe: 
						<a href="{{ most_searched_keyword.id }}">{{ most_searched_keyword.string }}</a>
					</p>
					<div class="heading-title text-center" id="keyword-info" style="display: none">
						<p style="font-size: 13">The recipe "{{most_searched_keyword.string}}" has been searched for {{most_searched_keyword.freq}} times</p>
					</div>
				</div>

				
				{% endif %}
			</div>
		</div>

		<!-- {% if allresep %} -->
		<div class="row" id="content">
			{% for resep in allresep %}
			<div class="col-lg-4 col-md-6 col-12" style="margin-bottom:50px; text-align: center; border-color: #cfa671">
				<div class="border border-light">
					<div class="blog-img-box">
						{% if resep.foto %}
							<img class = "cover"src="{{ resep.foto.url }}" width= "300px"
							height= "200px" style="margin:10px;">
						{% endif %}
					</div>
					<div class="blog-detail">
						<h4>{{ resep.nama }}</h4>
						<ul>
							<p>{{ resep.deskripsi }}</p>
							<p>{{ resep.porsi }}</p>
							<p>{{ resep.durasi }}</p>
						</ul>
						{% if user.is_authenticated %}
						<a class="btn btn-lg btn-circle btn-outline-new-white" href="{% url 'add:detail' resep.id%}" style="margin:20px">Read More</a>
						{% else %}
						<a class="btn btn-lg btn-circle btn-outline-new-white" style="margin:20px" id="need-login">Read More</a>
						{% endif %}

					</div>
				</div>
			</div>
			{% endfor %}
		{% else %}
			<div class="col-lg-12">
				<div class="heading-title text-center">
					<h2>We haven't add any Recipes yet :(</h2>
				</div>
			</div>
		{% endif %}
	
		</div>
			
			
	</div>
</div>

<div class="popup">
	<div class="popup-content">
		<h1>Oops!</h1>
		<p>Silahkan login terlebih dahulu untuk melihat resep</p>
		<a class="btn btn-lg btn-circle btn-outline-new-white" id="log-later" style="margin:10px">Later</a>
		<a class="btn btn-lg btn-circle btn-outline-new-white" href="{% url 'review:login' %}" style="margin:10px; background-color: #d0a772; color: #255;">Login</a>
	</div>
</div>

<script type="text/javascript">

	$("#the-keyword").mouseenter(function(){
		$("#keyword-info").show();
	});
	$("#the-keyword").mouseleave(function(){
		$("#keyword-info").hide();
	});

	$("#input").keyup(function(){
		var ketikan = $("#input").val().toLowerCase();
		console.log(ketikan);
		$.ajax({
			url: '/search/resepapi/json',
			success: function(data){
				console.log(data);
				var objects = data.resep_model_json;
				//console.log(objects);
				$("#content").empty();

				for (i = 1; i < objects.length + 1; i++){
					var nama_resep = objects[i-1].fields.nama;
					var nama_lower = nama_resep.toLowerCase();
					console.log(nama_resep);
					console.log(nama_lower.includes(ketikan));
					if (nama_lower.indexOf(ketikan) != -1){
						console.log(nama_resep);
						var img = objects[i-1].fields.foto;
						var desc = objects[i-1].fields.deskripsi;
						var porsi = objects[i-1].fields.porsi;
						var durasi = objects[i-1].fields.durasi;
						var pk = objects[i-1].pk;
						console.log(img);
						console.log(desc);
						console.log(porsi);
						console.log(durasi);
						console.log(pk);
						$("#content").append(
							'<div class="col-lg-4 col-md-6 col-12" style="margin-bottom:50px; text-align: center; border-color: #cfa671"><div class="border border-light"><div class="blog-img-box"><img class = "cover"src="/media/'+ img +'" width= "300px"height= "200px" style="margin:10px;"></div><div class="blog-detail"><h4>'+ nama_resep +'</h4><ul><p>' + desc + '</p><p>'+ porsi +'</p><p>' + durasi + '</p></ul>{% if user.is_authenticated %}<a class="btn btn-lg btn-circle btn-outline-new-white" href="/add/detail/'+ pk +'" style="margin:20px">Read More</a>{% else %}<a class="btn btn-lg btn-circle btn-outline-new-white" style="margin:20px" id="need-login">Read More</a>{% endif %}</div></div></div>'

							)
					}
				}
			}
		})
	});

	$("[id='need-login']").click(function(){
		console.log("asdlkjasdlkjasd");
		$(".popup").css("display", "flex");
		console.log("ygkedua");
	});

	$("#log-later").click(function(){
		$(".popup").css("display", "none");
	});
</script>

<script type="text/javascript">
	
	
</script>




<br><br></div>
{% endblock %}



